<?php

declare(strict_types=1);

require_once __DIR__ . '/_init.php';

use Myvetshop\Module\Clinique\Api\Insight\Controller\InsightOrdersController;
use PrestaShop\PrestaShop\Adapter\SymfonyContainer;
use Symfony\Component\HttpFoundation\Request;

$container = SymfonyContainer::getInstance();
\assert($container !== null);

/** @var InsightOrdersController $controller */
$controller = $container->get(InsightOrdersController::class);

$response = $controller(Request::createFromGlobals());
$response->send();
exit(0);
